> For the complete documentation index, see [llms.txt](https://docs.onum.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onum.com/the-workspace/listeners/listener-integrations/pull-data-from-http-endpoints/collect-data-from-pingidentity.md).

# Collect data from PingIdentity

## Overview

Get a list of logs from [PingOne](https://docs.pingidentity.com/pingone/introduction_to_pingone/p1_introduction.html), the cloud-based Identity as a Service (IDaaS) platform developed by Ping Identity.

## Configuration

### Parameters

Add the following parameter:

* **Name** - `tenantEnvFqdn`
* **Value** - Enter your tenant FQDN.

### Secrets

You must define these credentials in Onum:

* `x-api-key` will reference your Ping Identity API Key.
* `x-api-secret` will reference your Ping Identity API Secret.

To do it, enter a **Name** for the secret and then click the **Value** field. Click **New secret** to create a new one:

* Give the secret a **Name**.
* Turn off the **Expiration date** option.
* Click **Add new value** and paste the secret corresponding to the value.
* Click **Save**.

You can now select the secret you just created in the corresponding field. Click **Add element** to add the other one.

{% hint style="info" %}
Learn more about secrets in Onum in [this article](/administration/global-settings/organization-settings/secrets-management.md).
{% endhint %}

After entering the required parameters and secrets, you can choose to manually enter the API fields, or simply paste the given YAML:

{% tabs %}
{% tab title="Config as YAML" %}
Toggle this **ON** to enable a free text field where you can paste your **Tenable** YAML.

```yaml
withTemporalWindow: true
temporalWindow:
  duration: 5m
  offset: 5m
  tz: UTC
  format: RFC3339
withAuthentication: false
withEnumerationPhase: false
collectionPhase:
  paginationType: "cursor"
  cursorSelector: ".pagedResultsCookie"
  initialRequest:
    method: "GET"
    url: "https://${parameters.tenantEnvFqdn}/monitoring/logs"
    headers:
      - name: "Accept"
        value: "application/json"
      - name: "x-api-key"
        value: "${secrets.x-api-key}"
      - name: "x-api-secret"
        value: "${secrets.x-api-secret}"
    queryParams:
      - name: "source"
        value: "am-everything,idm-access, idm-activity, idm-authentication, idm-config,idm-recon,idm-sync"
      - name: "beginTime"
        value: "${temporalWindow.from}"
      - name: "endTime"
        value: "${temporalWindow.to}"
  nextRequest:
    method: "GET"
    url: "https://${parameters.tenantEnvFqdn}/monitoring/logs"
    headers:
      - name: "Accept"
        value: "application/json"
      - name: "x-api-key"
        value: "${secrets.x-api-key}"
      - name: "x-api-secret"
        value: "${secrets.x-api-secret}"
    queryParams:
      - name: "source"
        value: "am-everything,idm-access, idm-activity, idm-authentication, idm-config,idm-recon,idm-sync"
      - name: "beginTime"
        value: "${temporalWindow.from}"
      - name: "endTime"
        value: "${temporalWindow.to}"
      - name: "pagedResultsCookie"
        value: "${pagination.cursor}"
  output:
    select: ".result"
    map: "."
    outputMode: "element"
```

{% endtab %}

{% tab title="Manually configure" %}
**Temporal Window**

Toggle **ON** to add a temporal window for events. This repeatedly shifts the time window over which data is collected.

* **Duration** - `5m`
* **Offset** - `5m`
* **Format** - `RFC3339`

**Collection Phase**

* **Pagination Type**<mark style="color:red;">**\***</mark> - `Cursor`
* **Cursor Selector**<mark style="color:$primary;">**\***</mark> - `.pagedResultsCookie`

**Initial Request**

* **Response Type**<mark style="color:red;">**\***</mark> - `JSON`
* **Method**<mark style="color:$primary;">**\***</mark> - `GET`
* **URL**<mark style="color:$primary;">**\***</mark> - `https://${parameters.tenantEnvFqdn}/monitoring/logs`

**Headers**

* **Name** - `Accept`
* **Value** - `application/json`
* **Name** - `x-api-key`
* **Value** - `${secrets.x-api-key}`
* **Name** - `x-api-secret`
* **Value** - `${secrets.x-api-secret}`

**Query Params**

* **Name** - `source`
* **Value** - `am-everything,idm-access, idm-activity, idm-authentication, idm-config,idm-recon,idm-sync`
* **Name** - `beginTime`
* **Value** - `${temporalWindow.from}`
* **Name** - `endTime`
* **Value** - `${temporalWindow.to}`

**Next Request**

* **Response Type**<mark style="color:red;">**\***</mark> - `JSON`
* **Method**<mark style="color:$primary;">**\***</mark> - `GET`
* **URL**<mark style="color:$primary;">**\***</mark> - `https://${parameters.tenantEnvFqdn}/monitoring/logs`

**Headers**

* **Name** - `Accept`
* **Value** - `application/json`
* **Name** - `x-api-key`
* **Value** - `${secrets.x-api-key}`
* **Name** - `x-api-secret`
* **Value** - `${secrets.x-api-secret}`

**Query Params**

* **Name** - `source`
* **Value** - `am-everything,idm-access, idm-activity, idm-authentication, idm-config,idm-recon,idm-sync`
* **Name** - `beginTime`
* **Value** - `${temporalWindow.from}`
* **Name** - `endTime`
* **Value** - `${temporalWindow.to}`
* **Name** - `pagedResultsCookie`
* **Value** - `${pagination.cursor}`

**Output**

* **Select**<mark style="color:$primary;">**\***</mark> - `.result`
* **Map** - `.`
* **Output Mode**<mark style="color:$primary;">**\***</mark> - `element`
  {% endtab %}
  {% endtabs %}

Click **Create labels** to move on to the next step and define the required [Labels](/the-workspace/listeners/labels.md) if needed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onum.com/the-workspace/listeners/listener-integrations/pull-data-from-http-endpoints/collect-data-from-pingidentity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
